function D = d2kgf(v,t,a);

%________________________________________________________________________________ 
% D2KGF.M
% Arguments: v (argument, 2 X 1), t (gridpoint), a (Dirichlet's parameters) 
% This function computes the matrix of second derivatives of the cumulant 
% generating function of the UMP test of uniformity against Dirichlet 
%________________________________________________________________________________ 

n = length(a); 
s = sum(a);


P1 = 1/(s-v(2))*[0, s-n; s-n, ((v(1)+1)*(s-n)+n)/(s-v(2))];

u = 0;
for j=1:n,
	u = u + trigamma((v(1)+1)*(a(j)-1)+1)*(a(j)-1)^2;
end;
P2 = [u, 0;0, 0];

D = P1+P2;
