function K = kgf(v,t,a);

%________________________________________________________________________________ 
% KGF.M
% Arguments: v (argument, 2 X 1), t (gridpoint), a (Dirichlet's parameters) 
% This function computes the cumulant generating function of the UMP test of
% uniformity against Dirichlet 
%________________________________________________________________________________ 

n = length(a); 
s = sum(a);

p1 = -v(1)*t-v(2)+s*log(s)-((v(1)+1)*(s-n)+n)*log(s-v(2));
p2 = sum(log(gamma((v(1)+1)*(a-1)+1))-log(gamma(a))); 

K = p1+p2;
