function prob = lr(v,t,a);

%______________________________________________________________________________
% LR.M
% Arguments: v (saddlepoint 2X1), t (gridpoint), a (Dirichlet's parameters) 
% This function computes the Lugannani and Rice saddlepoint approximation for
% the UMP test of uniformity against Dirichlet
%______________________________________________________________________________

D = d2kgf(v,t,a);

s = v(1)*sqrt( det(D)*sum(a) );
r = sign(v(1))*sqrt(-2*kgf(v,t,a));

phi = 1/sqrt(2*pi)*exp(-r^2/2);

prob = normal(r)-phi*(1/s-1/r);

