function K = kgf(v,t,m,r,p,k);

%________________________________________________________________________________ 
% KGF.M
% Arguments: v (argument, 2 X 1), t (gridpoint), m (base period), r (possible
% claim amounts, n X 1), p (probabilities of settlements at different periods,
% n X 1), k (number of claims)
% This function computes the cumulant generating function of the insurer's 
% total claim amount with the M-P decomposition  
%________________________________________________________________________________ 

n = length(r); % number of different claims 

K1 = -k*(1+v(2));

K2 = 0;
for j = 1:n, 
  K3 = 0;  
  l = 1;
  summand = 1;
  while abs(summand)>10^(-15),
    summand = exp((v(1)*r(j)*((j<=m)-t)+v(2)+log(k*p(j)))*l)/gamma(l+1);  
    K3 = K3 + summand; 
    l = l+1;
  end;
  K2 = K2+log(1+K3);  
end;

K = K1 + K2;
