%____________________________________________________________________________
% SADDLE.M  
% Main program for the computation of the saddlepoint distribution
% of the insurer's total claim amount with the M-P decomposition
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

m = 4; % base period
r = [10 15 20 30 50 70 100 120]; % possible claim amounts
p = [.15 .23 .16 .14 .12 .1 .06 .04]; % probabilities of settlements at different periods
k = 30; % number of claims
t = [.08:0.02:.9]; % domain of the distribution  

y = [.1 .1]; % starting point
for j = 1:length(t),
	disp(t(j)); disp('fminsearch running')
	[y fval exitflag] = fminsearch('kgf',y,[],t(j),m,r,p,k);  
	if exitflag == 0,
		disp('New try with alternative starting point');
		y = [0 0];
		y = fminsearch('kgf',y,[],t(j),m,r,p,k);
	end;
	disp('fminsearch terminated')
	l1(j) = y(1); 
	l2(j) = y(2);
	plr(j) = lr(y,t(j),m,r,p,k);  
end;

disp(' ');
disp(' ');
disp('      t     P[Tn < t]     a1       a2' );
disp('==================================================');
disp([t' plr' l1' l2']); 
disp('=================================================='); 


