%____________________________________________________________________________
% SIMUL.M  
% Main program for the computation of the Monte Carlo distribution
% of the insurer's total claim amount with the M-P decomposition
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

m = 4; % base period
r = [10 15 20 30 50 70 100 120]; % possible claim amounts
p = [.15 .23 .16 .14 .12 .1 .06 .04]; % probabilities of settlements at different periods
k = 30; % number of claims
lp = length(p);

sim = 100000; % number of simulations

r0 = [r(1:m) zeros(1,lp-m)]; % (r1,...,rm,0,...,0)
T = zeros(1,sim);
for j = 1:sim,
	Y = randmultino(k,p(1:lp-1));
	T(j) = (r0*Y)/(r*Y); 
end;

