function K = kgf(v,t,p,k);

%________________________________________________________________________________ 
% KGF.M
% Arguments: v (argument, 2 X 1), t (gridpoint), p (multinonial probabilities), 
%            k (total number balls)
% This function computes the cumulant generating function of the coloration 
% entropy estimator under sampling with replacement and the M-P decomposition
%________________________________________________________________________________ 

n = length(p);  

K1 = k*(v(1)*(log(k)-t)-v(2)-1);

K2 = 0;
for j = 1:n, 
  K3 = 0;  
  l = 1;
  summand = 1;
  while abs(summand)>10^(-15),
    summand = (k*p(j)*exp(v(2))/l^v(1))^l/gamma(l+1);  
    K3 = K3 + summand; 
    l = l+1;
  end;
  K2 = K2+log(1+K3);  
end;

K = K1 + K2;
