function prob = lr(v,t,p,k);

%______________________________________________________________________________
% LR.M
% Arguments: v (saddlepoint 2X1), t (gridpoint), p (multinonial probabilities), 
%            k (total number balls) 
% This function computes the Lugannani and Rice saddlepoint approximation for
% the coloration entropy estimator under sampling with replacement and the M-B 
% decomposition
%______________________________________________________________________________

D = d2kgf(v,t,p,k);

s = v(1)*sqrt( det(D)/k );
r = sign(v(1))*sqrt(-2*kgf(v,t,p,k));

phi = 1/sqrt(2*pi)*exp(-r^2/2);

prob = normal(r)-phi*(1/s-1/r);

