%____________________________________________________________________________
% SADDLE.M  
% Main program for the computation of the saddlepoint distribution for the 
% coloration entropy estimator under sampling with replacement and the M-P 
% decomposition
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

k = 32; % number of draws (with replacement) 
n = 6; % number of colors
p = 2*[1:n]/n/(n+1); % multinomial probabilities uder H1
%p = ones(1,n)/6; % multinomial probabilities under H0

t = [1.15:0.01:1.78]; % domain of the distribution 

y = [-.1 .1]; % starting point for the search of the saddlepoint 

for j = 1:length(t),
	y = fminsearch('kgf',y,[],t(j),p,k);    
	l1(j) = y(1); 
	l2(j) = y(2);
	plr(j) = lr(y,t(j),p,k);  
end;

disp(' ');
disp(' ');
disp('      t     P[Tn < t]    l1    l2');
disp('==================================================');
disp([t' plr']); 
disp('=================================================='); 


