%____________________________________________________________________________
% SIMUL.M  
% Main program for the computation of the Monte Carlo distribution
% for the coloration entropy estimator under sampling without replacement 
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

sim = 100000; % number of simulations
k = 32; % number of draws (with replacement)
n = 6; % number of colors
p = 2*[1:n]/n/(n+1); % multinomial probabilities

T = zeros(1,sim);
for j = 1:sim,
	Y = randmultino(k,p(1:n-1));
	U = Y.*log(Y);
	U(isnan(U)) = 0;
	T(j) = -sum(U)/k+log(k); 
end;

