function K = kgf(v,t,m,k);

%________________________________________________________________________________ 
% KGF.M
% Arguments: v (argument, 2 X 1), t (gridpoint), m (number of balls of each 
% 	     color, vector), k (number of draws)  
% This function computes the cumulant generating function of the coloration 
% entropy estimator under sampling without replacement and the MH-B 
% decomposition
%________________________________________________________________________________ 

n = length(m); % number of different colors
z = sum(m); % number of balls 

K1 = k*(-(t-log(k))*v(1)-v(2))+z*(log(z-k)-log(z));

K2 = 0;
for j = 1:n, 
  K3 = 0;  
  for l = 1:m(j),
    K3 = K3 + nchoosek(m(j),l)*(k/(z-k)*exp(v(2))*l^(-v(1)))^l; 
  end;
  K2 = K2 + log(1+K3);  
end;

K = K1 + K2;
