function prob = lr(v,t,m,k);

%______________________________________________________________________________
% LR.M
% Arguments: v (saddlepoint 2X1), t (gridpoint), m (number of balls of each 
%            color, vector), k (number of draws)
% This function computes the Lugannani and Rice saddlepoint approximation for
% the coloration entropy estimator under sampling without replacement and the 
% MH-B decomposition
%______________________________________________________________________________

z = sum(m); 
D = d2kgf(v,t,m,k); 

s = v(1)*sqrt( det(D(:,2:3))/(k/z*(z-k)) );
r = sign(v(1))*sqrt(-2*kgf(v,t,m,k));

phi = 1/sqrt(2*pi)*exp(-r^2/2);

prob = normal(r) - phi*(1/s-1/r);

