%____________________________________________________________________________
% SADDLE.M  
% Main program for the computation of the saddlepoint distribution
% for the coloration entropy estimator under sampling without replacement 
% and the MH-B decomposition
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

m = [2 4 6 8 10 12 14]; % number of balls of each color
k = 25; % number of draws (without replacement) 

t = [1.3:0.05:1.9]; % domain of the distribution  

y = [-.1 .1]; % starting point (2X1) for the search of the saddlepoint 

for j = 1:length(t),
	y = fminsearch('kgf',y,[],t(j),m,k);    
	l1(j) = y(1); 
	l2(j) = y(2);
	plr(j) = lr(y,t(j),m,k);  
end;

disp(' ');
disp(' ');
disp('      t     P[Tn < t]');
disp('==================================================');
disp([t' plr']); 
disp('=================================================='); 


