%____________________________________________________________________________
% SIMUL.M  
% Main program for the computation of the Monte Carlo distribution
% for the coloration entropy estimator under sampling without replacement 
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

sim = 100000; % number of simulations
m = [2 4 6 8 10 12 14]; % number of balls of each color
k = 25; % number of draws (without replacement) 

T = zeros(1,sim);
for j = 1:sim,
	Y = randmulthyperg(m,k);
	U = Y.*log(Y);
	U(isnan(U)) = 0;
	T(j) = -sum(U)/k+log(k); 
end;

t = [.05:0.05:1.05]; % domain of the distribution  
